Subject: Re: bug#10980: GNU bugs information: logs for bug#10980

From: Noam Postavsky <[email-masked]>
Date: Tue, 21 Jun 2016 22:54:25 -0400

On Tue, Jun 21, 2016 at 10:39 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Noam Postavsky <[email-masked]>
>> Date: Tue, 21 Jun 2016 17:03:21 -0400
>> Cc: [email-masked], [email-masked]
>>
>> I feel like I'm missing some important point here. If these
>> environment variables won't affect subprocess environments, why set
>> them at all?
>
> Because Emacs itself needs them.  They must be in Emacs's environment,
> but don't have to be in Vprocess_environment.

What does it need them for? Just because Emacs consults the values
from its environment? Is there some reason not to use just plain old
global variables?